# -*- coding: utf-8 -*-
# -*- Python Version: 2.7 -*-

from ph_units.unit_types._base import Base_UnitType


class MeterPerDay(Base_UnitType):
    """Meter/Day"""

    __symbol__ = "M/DAY"
    __aliases__ = []
    __factors__ = {
        "SI": "{}*1",
        "M/DAY": "{}*1",
        "FT/DAY": "{}*3.280839895",
        "M/S": "{}/24/60/60",
    }


class MeterPerSecond(Base_UnitType):
    """Meter/Second"""

    __symbol__ = "M/S"
    __aliases__ = []
    __factors__ = {
        "SI": "{}*1",
        "M/S": "{}*1",
        "M/DAY": "{}*24*60*60",
        "FT/S": "{}*3.280839895",
        "FT/DAY": "{}*3.280839895*24*60*60",
        "MPH": "{}/0.44704",
    }


class MilesPerHour(Base_UnitType):
    """MPH"""

    __symbol__ = "M/DAY"
    __aliases__ = []
    __factors__ = {
        "SI": "{}*0.44704",
        "M/S": "{}*0.44704",
        "M/DAY": "{}*0.44704*60*60*24",
    }


class FeetPerSecond(Base_UnitType):
    """FT/Second"""

    __symbol__ = "FT/S"
    __aliases__ = []
    __factors__ = {"SI": "{}*0.3048", "M/S": "{}*0.3048", "M/DAY": "{}*0.3048*60*60*24"}


class FeetPerDay(Base_UnitType):
    """FT/Day"""

    __symbol__ = "FT/DAY"
    __aliases__ = ["FT/D"]
    __factors__ = {"SI": "{}*0.3048", "M/DAY": "{}*0.3048"}
